Skip to main content
`Ctrl`+`K`

# SNESSetConvergedReason

Sets the reason the `SNES` iteration was stopped.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetConvergedReason(SNES snes, SNESConvergedReason reason)

Not Collective

## Input Parameters

- snes - the `SNES` context

- reason - negative value indicates diverged, positive value converged, see `SNESConvergedReason` or the manual pages for the individual convergence tests for complete lists

## Developer Note

Called inside the various `SNESSolve()` implementations

## See Also

SNES: Nonlinear Solvers, `SNESGetConvergedReason()`, `SNESSetConvergenceTest()`, `SNESConvergedReason`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages